> For the complete documentation index, see [llms.txt](https://docs.pentaho.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pentaho.com/analyzer-external-javascript-api/using-pentaho-analyzer-external-javascript-api-cp/customizing-analyzer-using-static-divs-pentaho-analyzer-external-javascript-api.md).

# Customizing Analyzer Using Static Divs

To allow for customization of the Analyzer report view, divs have been added to certain attach points in the application. This allows users who embed Analyzer to have the ability to programmatically customize the application. Each div has its own hard-coded ID for retrieval using any means of DOM manipulation.

## List of Available Divs

The following is a list of the available divs with examples.

## Toolbar Div

This div is located on the Analyzer toolbar. It allows for the addition of new buttons and customization of existing buttons on the toolbar.

```javascript
<div class="reportBtn" id="analyzer-custom-btn"></div>
Code Sample:
<script type="text/javascript">
 
function changeText(text)
{
elem = document.getElementById('analyzer-custom-btn');
elem.innerHTML = "My New Button";
}
</script>

```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.pentaho.com/analyzer-external-javascript-api/using-pentaho-analyzer-external-javascript-api-cp/customizing-analyzer-using-static-divs-pentaho-analyzer-external-javascript-api.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
